Name:           perl-Convert-PEM
Version:        0.06
Release:        1mdk
License:        GPL or Artistic

%define realname        Convert-PEM
Group:          Development/Perl
Summary:        Read/write encrypted ASN.1 PEM files
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Convert/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel
BuildRequires:  perl-Convert-ASN1
Requires:       perl
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
Convert::PEM reads and writes PEM files containing
ASN.1-encoded objects. The files can optionally be
encrypted using a symmetric cipher algorithm, such
as 3DES.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Thu Nov  6 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.06-1mdk
- New package
